snench.sh ("Snel.com benchmark")
=========================

Current version always available at https://git.snel.com/snelcom/snench

- Based on nench (https://github.com/n-st/nench)
- Includes CPU and ioping measurements
- Successfully tested on Debian, Ubuntu, CentOS, Arch Linux and FreeBSD

Usage example
-------------

```
(curl -s https://git.snel.com/snelcom/snench/raw/branch/master/snench.sh | bash) 2>&1 | tee snench.log
```

Example output
--------------

Output from a VPS hosted with Snel.com in Rotterdam:

```
-------------------------------------------------
 snench.sh v2021.04.15 -- https://git.snel.com/snelcom/snench
 benchmark timestamp:     2021-04-15 15:42:05 UTC
-------------------------------------------------

Processor:    Intel(R) Xeon(R) Gold 5222 CPU @ 3.80GHz
CPU cores:    4
Frequency:    3791.092 MHz
RAM:          7.8Gi
Swap:         5.0Gi
Kernel:       Linux 4.19.0-16-amd64 x86_64

Disks:
sda    100G  SSD

CPU: SHA256-hashing 500 MB
    2.198 seconds
CPU: bzip2-compressing 500 MB
    3.874 seconds
CPU: AES-encrypting 500 MB
    0.803 seconds

ioping: seek rate
    min/avg/max/mdev = 26.4 us / 41.3 us / 6.05 ms / 32.9 us
ioping: sequential read speed
    generated 58.4 k requests in 5.00 s, 14.3 GiB, 11.7 k iops, 2.85 GiB/s
ioping: sequential write speed
    generated 25.1 k requests in 5.00 s, 6.13 GiB, 5.03 k iops, 1.23 GiB/s
ioping: random 4k read speed
    generated 125.9 k requests in 5.00 s, 491.8 MiB, 25.2 k iops, 98.4 MiB/s
ioping: random 4k write speed
    generated 69.2 k requests in 5.00 s, 270.2 MiB, 13.8 k iops, 54.0 MiB/s

IPv4 speedtests
    your IPv4:    193.33.60.xxxx

    Cachefly CDN                   222.22 MiB/s
    Snel.com (NL)                  793.65 MiB/s
    Hetzner (DE)                   121.07 MiB/s
    Online.net (FR)                198.68 MiB/s
    Linode NJ (US)                 32.44 MiB/s
    DigitalOcean (CA)              26.51 MiB/s

IPv6 speedtests
    your IPv6:    2a00:7b80:3043:xxxx

    Snel.com (NL)                  1010.10 MiB/s
    Hetzner (DE)                   185.19 MiB/s
    Online.net (FR)                216.25 MiB/s
    Linode NJ (US)                 32.40 MiB/s
    DigitalOcean (CA)              27.10 MiB/s
-------------------------------------------------
```
